Subject: Re: bug#45346: [elpa-archive] :ignored-files is processed to early

From: Stefan Monnier <[email-masked]>
Date: Sun, 20 Dec 2020 17:04:29 -0500

> It appears that `:ignored-files' is processes before `:renames' and
> that that should be changed.

Indeed, the renaming is applied last and it's not easy to change that
with the approach I use (the renaming is done by `tar` via
`--transform`).

Maybe I could try and remove the entries after generating the tarball.
Hmm...

Note, FWIW, I tend to consider that it's OK to keep useless files in the
tarball as long as they're not actively harmful (e.g. they triple the
size of the tarball), and more generally I think it's best to use
`:ignore` and `:renames` with moderation.

        Stefan